set r8 /NSW,VIC,QLD,SA,WA,TAS,NT,ACT/

set r57 /
	SydneyNSW,HunterNSW,IllawarraNSW,RichTweedNSW,MidNthCstNSW,NorthernNSW,NorthWestNSW,CentrlWstNSW,
	SouthEastNSW,MrmbidgeeNSW,MurrayNSW,FarWestNSW,ACT,MelbourneVIC,BarwonVIC,WestnDistVIC,CentHilndVIC,
	WimmeraVIC,MalleeVIC,LoddonCmpVIC,GoulbournVIC,OvensMrryVIC,EastGippsVIC,GippslandVIC,BrisbaneQLD,
	MoretonQLD,WideByBntQLD,DarlDownsQLD,SouthWestQLD,FitzroyQLD,CentlWestQLD,MackayQLD,NorthernQLD,
	FarNorthQLD,NorthWestQLD,AdelaideSA,OtrAdelaidSA,YorkLwrNthSA,MurrayLndsSA,SouthEastSA,EyreSA,
	NorthernSA,NT,PerthWA,PeelWA,SouthWestWA,GrtSouthrnWA,WheatbeltWA,GoldEsprncWA,MidWestWA,GascoyneWA,
	PilbaraWA,KimberleyWA,GrtHobartTAS,SouthernTAS,NorthernTAS,MerseyLylTAS/;

set map8(r57,r8) /
	SydneyNSW.NSW,HunterNSW.NSW,IllawarraNSW.NSW,RichTweedNSW.NSW,MidNthCstNSW.NSW,NorthernNSW.NSW,
	NorthWestNSW.NSW,CentrlWstNSW.NSW,SouthEastNSW.NSW,MrmbidgeeNSW.NSW,MurrayNSW.NSW,FarWestNSW.NSW,
	ACT.ACT,MelbourneVIC.VIC,BarwonVIC.VIC,WestnDistVIC.VIC,CentHilndVIC.VIC,WimmeraVIC.VIC,MalleeVIC.VIC,
	LoddonCmpVIC.VIC,GoulbournVIC.VIC,OvensMrryVIC.VIC,EastGippsVIC.VIC,GippslandVIC.VIC,BrisbaneQLD.QLD,
	MoretonQLD.QLD,WideByBntQLD.QLD,DarlDownsQLD.QLD,SouthWestQLD.QLD,FitzroyQLD.QLD,CentlWestQLD.QLD,
	MackayQLD.QLD,NorthernQLD.QLD,FarNorthQLD.QLD,NorthWestQLD.QLD,AdelaideSA.SA,OtrAdelaidSA.SA,
	YorkLwrNthSA.SA,MurrayLndsSA.SA,SouthEastSA.SA,EyreSA.SA,NorthernSA.SA,NT.NT,PerthWA.WA,PeelWA.WA,
	SouthWestWA.WA,GrtSouthrnWA.WA,WheatbeltWA.WA,GoldEsprncWA.WA,MidWestWA.WA,GascoyneWA.WA,PilbaraWA.WA,
	KimberleyWA.WA,GrtHobartTAS.TAS,SouthernTAS.TAS,NorthernTAS.TAS,MerseyLylTAS.TAS/;


$eolcom !
set mapopt /
	LineWidth 0			! Line width (0..3) [Integer]
	FontSize 6			! Font Size (4..10) [Integer]
	SpaceAround 10			! Border width (5..20) [Integer]
	DesiredWidth 700		! Width of map (500..1500) [Integer]
	LowColor 180 255 255		! Color for smallest score [3 integers RGB value]
	MidColor 225 225 90		! Color for median score [3 integers RGB value]
	HighColor 255 100 100		! Color for highest score [3 integers RGB value]
	UseGreys False			! Use grey tints for region shading [Boolean]
	LowGrey 240 240 240		! Grey for smallest score [3 integers RGB value]
	MidGrey 170 170 170		! Grey for median score [3 integers RGB value]
	HighGrey 100 100 100		! Grey for highest score [3 integers RGB value]
	OrdinalShades True		! Shade regions according to rank [Boolean]
	BackgroundColor 200 255 255	! Color for background or sea [3 integers RGB value]
	NumberRegions True		! Show region numbers at region centres [Boolean]
	ShowScores False		! Show region scores at region centres [Boolean]
	ShowNames False			! Show region names at region centres [Boolean]
	NumberRegionPatch False		! White patch behind region numbers [Boolean]
	ShowLegend True			! Show color key for scores [Boolean]
	ScoreNDec 2			! No. of decimal places for scores in color key (0..4) [Integer]
	LegendPos 10 80			! Color key position: Left,Top as % of Map size (10..90) [2 integers]
	yytrans 120			! Stretch map vertically (80..120, 100=no stretch) [Integer]
	DotCentroids False		! Show red dots at region centres [Boolean]
	DotPolyStarts False		! Mark 1st point of each polygon with red dot [Boolean]
	xDistort 0	! Positive values stretch right of map more than left (-30..+30, 0=no distortion) [Integer]
	yDistort 0	! Positive values stretch top of map more than bottom (-30..+30, 0=no distortion) [Integer]
/;

parameter v(r8)	Values for the 8-region map;
v(r8) = uniform(0,1);
$batinclude shademap aus8 v

$set shademapopts mapopt
$batinclude shademap aus57 v map8
