$offlisting
$hidden		Libinclude routine for driving SHADEMAP
$hidden
$hidden		Usage:	$libinclude shademap mapid data [mapping]
$hidden
$hidden		where	mapid.mid/mapid.mif	describe the region ids and boundaries
$hidden			data		is a one-dimensional numeric item to be portrayed
$hidden			mapping(r,s)	associates each map region id (r) with a data element (s)
$hidden

$setargs mapid data mapping

$log     Runnng SHADEMAP with mapid = %mapid%, data = %data% and mapping = %mapping%
$hidden	Check for the .mid file
$if exist %mapid%.mid $goto gotmid
$abort Cannot find %mapid%.mid in working directory.

$hidden	Check for the .mif file
$label gotmid
$if exist %mapid%.mif $goto gotmif
$abort Cannot find %mapid%.mid in working directory.

*	Generate sequence sets for writing data to this map:

$hidden	Generate set definitions.
$label gotmif
$if defined %mapid%_r $goto gotsets
$if exist "%gams.scrdir%shademap.scr" $call del "%gams.scrdir%shademap.scr"
$call mapsets %mapid% >%gams.scrdir%shademap.scr
$include %gams.scrdir%shademap.scr

$hidden	Define a temporary file in which to pass data:

$if defined shademap_u $goto gotfiles
alias (shademap_u,shademap_uu,*);
file shademap_d /%gams.scrdir%shademap.scr/;
shademap_d.lw =  0;
shademap_d.nr =  2;
shademap_d.nw = 22;
shademap_d.nd = 13;

*	Write the data file:

$label gotfiles
$onuni
put shademap_d;

loop(%mapid%_map(%mapid%_r,shademap_u),
$if not "%mapping%"=="" loop(%mapping%(shademap_u,shademap_uu),put %data%(shademap_uu)/;);
$if     "%mapping%"=="" put %data%(shademap_u)/;
);
$offuni
putclose;
execute 'copy "%gams.scrdir%shademap.scr" "%mapid%_%data%.txt"';

$if not set shademapopts $goto drawmap
$if "%shademapopts%"=="" $goto drawmap

$if exist %mapid%.opt execute 'copy %mapid%.opt %gams.scrdir%%mapid%.scr';
shademap_d.lw=0;
put shademap_d;
loop (%shademapopts%,
	put %shademapopts%.tl, ' ', %shademapopts%.te(%shademapopts%)/;
);
putclose;
execute 'copy "%gams.scrdir%shademap.scr" "%mapid%.opt"';

$label drawmap
execute 'start /w shademap %mapid% %mapid%_%data%.txt';

$if exist "%gams.scrdir%%mapid%.scr" execute 'copy "%gams.scrdir%%mapid%.scr" %mapid%.opt';
